Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.interview
Class SimpleInterviewParameters

    java.lang.Object
      com.sun.interview.Interview
          com.sun.javatest.InterviewParameters
              com.sun.javatest.interview.BasicInterviewParameters
                  com.sun.javatest.interview.DefaultInterviewParameters
                      com.sun.javatest.interview.SimpleInterviewParameters

All Implemented Interfaces:
  Parameters, Parameters.EnvParameters

    public class SimpleInterviewParameters

extends DefaultInterviewParameters
implements Parameters.EnvParameters

A simple interview that can be used for simple test suites. Tests can be executed via a JT Harness Agent, or via a specified JVM, using "standard" JDK arguments.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.javatest.InterviewParameters
`InterviewParameters.JTIFault, InterviewParameters.TemplateManager, InterviewParameters.TestSuiteFault, InterviewParameters.WorkDirFault`

Nested classes/interfaces inherited from class com.sun.interview.Interview
`Interview.BadHelpFault, Interview.Fault, Interview.HelpNotFoundFault, Interview.NotOnPathFault, Interview.Observer`

Nested classes/interfaces inherited from interface com.sun.javatest.Parameters
`Parameters.ConcurrencyParameters, Parameters.EnvParameters, Parameters.ExcludeListParameters, Parameters.KeywordsParameters, Parameters.LegacyEnvParameters, Parameters.MutableConcurrencyParameters, Parameters.MutableExcludeListParameters, Parameters.MutableKeywordsParameters, Parameters.MutablePriorStatusParameters, Parameters.MutableTestsParameters, Parameters.MutableTimeoutFactorParameters, Parameters.PriorStatusParameters, Parameters.TestsParameters, Parameters.TimeoutFactorParameters`

Field Summary

Fields inherited from class com.sun.javatest.interview.BasicInterviewParameters
`iTests`

Fields inherited from class com.sun.javatest.InterviewParameters
`kflFiles`

Fields inherited from class com.sun.interview.Interview
`EXPORT_IGNORE_ALL_EXCEPTIONS, EXPORT_IGNORE_NO_EXCEPTIONS, EXPORT_IGNORE_RUNTIME_EXCEPTIONS, EXTERNAL_PREF, helpSetFactory, INTERVIEW, LOCALE, MARKERS, MARKERS_PREF, QUESTION, SEMANTIC_MAX_VERSION, SEMANTIC_PRE_32, SEMANTIC_VERSION_32, SEMANTIC_VERSION_43, TEMPLATE_PREF`

Constructor Summary
`SimpleInterviewParameters()`

Method Summary
`TestEnvironment` | `getEnv()` Get the environment of test-suite-specific configuration values, to be passed to the script used to run each test.
`Question` | `getEnvFirstQuestion()` Get the first question to be asked concerning the environment to be set up and used for each test to be run.
`Parameters.EnvParameters` | `getEnvParameters()` Get an object which provides access to the environment of test-suite-specific configuration values to be used when each test is run.

Methods inherited from class com.sun.javatest.interview.BasicInterviewParameters
`createTestsInterview, getConcurrencyFirstQuestion, getConcurrencyParameters, getDescription, getEpilogFirstQuestion, getExcludeListFirstQuestion, getExcludeListParameters, getExcludeListSuccessorQuestion, getKeywordsFirstQuestion, getKeywordsParameters, getKflFirstQuestion, getKflSuccessorQuestion, getKnownFailureFiles, getKnownFailuresList, getMaxConcurrency, getName, getPriorStatusFirstQuestion, getPriorStatusParameters, getTestsFirstQuestion, getTestsParameters, getTestSuite, getTimeoutFactorFirstQuestion, getTimeoutFactorParameters, getWorkDirectory, isNameAndDescriptionInPrologEnabled, setKnownFailureFiles, setNameAndDescriptionInPrologEnabled, setTestSuite, setWorkDirectory`

Methods inherited from class com.sun.javatest.InterviewParameters
`checkForUpdates, clear, dispose, getBackupPolicy, getConcurrency, getConcurrencySuccessorQuestion, getEnvSuccessorQuestion, getErrorMessage, getExcludeList, getExcludeListFilter, getExcludeTableFilter, getExcludeTableFirstQuestion, getExcludeTableSuccessorQuestion, getFile, getFilters, getKeywords, getKeywordsFilter, getKeywordsSuccessorQuestion, getMarkersEnabled, getMarkersFilterEnabled, getPriorStatusFilter, getPriorStatusSuccessorQuestion, getPriorStatusValues, getPrologSuccessorQuestion, getPropagationController, getRelevantTestFilter, getTemplateManger, getTemplatePath, getTests, getTestsSuccessorQuestion, getTimeoutFactor, getTimeoutFactorSuccessorQuestion, init, isAutoUpdatableKey, isAutoUpdatableKey, isFileLoaded, isFileNewer, isInterviewFile, isTemplate, isUpdatableKey, isValid, load, load, load, load, load, open, open, open, open, open, save, save, save, save, saveAs, saveAs, saveAs, setBackupPolicy, setFile, setMarkersEnabled, setMarkersFilterEnabled, setPropagationController, setTemplate, setTemplateManger, setTemplatePath`

Methods inherited from class com.sun.interview.Interview
`addObserver, callInterview, clearMarkedResponses, containsObserver, createChecklist, createChecklistItem, createChecklistItem, createChecklistItem, export, getAllQuestions, getCurrentQuestion, getDefaultImage, getExportIgnoreExceptionPolicy, getExternalProperties, getFirstQuestion, getHelpSet, getInterview, getInterviewSemantics, getParent, getPath, getPathToCurrent, getPropertyKeys, getQuestions, getRawPath, getResourceBundle, getResourceString, getResourceString, getRoot, getTag, getTitle, hasNext, hasValidNext, isChecklistEmpty, isChecksumValid, isEdited, isFinishable, isFirst, isInterviewFinishable, isLast, isRoot, isStarted, iteratePath, iteratePathToCurrent, last, load, next, pathContains, pathContains, prev, propagateTemplateForAll, readLocale, removeAllMarkers, removeMarkers, removeObserver, reset, retrieveProperty, retrieveTemplateKeys, retrieveTemplateProperty, setBaseTag, setCurrentQuestion, setDefaultImage, setEdited, setExportIgnoreExceptionPolicy, setFirstQuestion, setHelpSet, setHelpSet, setHelpSet, setInterviewSemantics, setResourceBundle, setResourceBundle, setTitle, storeProperty, storeTemplateProperties, storeTemplateProperty, updatePath, updatePath, verifyPathContains, writeLocale`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleInterviewParameters

    public SimpleInterviewParameters()
                              throws Interview.Fault

Throws:
  `Interview.Fault`

Method Detail

### getEnv

    public TestEnvironment getEnv()

  Description copied from interface: `Parameters`
  Get the environment of test-suite-specific configuration values, to be passed to the script used to run each test.

  Specified by:
    `getEnv` in interface `Parameters`
  Specified by:
    `getEnv` in interface `Parameters.EnvParameters`
  Overrides:
    `getEnv` in class `InterviewParameters`
  Returns:
    an environment to be passed to the script used to run each test.
  See Also:
    `Parameters.EnvParameters.getEnv()`

### getEnvParameters

    public Parameters.EnvParameters getEnvParameters()

  Description copied from interface: `Parameters`
  Get an object which provides access to the environment of test-suite-specific configuration values to be used when each test is run.

  Specified by:
    `getEnvParameters` in interface `Parameters`
  Returns:
    an object which provides access to the environment to be used when each test is run.

### getEnvFirstQuestion

    public Question getEnvFirstQuestion()

  Description copied from class: `InterviewParameters`
  Get the first question to be asked concerning the environment to be set up and used for each test to be run. If these questions are contained in an interview, this method can be simply implemented as:
  `return callInterview(`envInterview`, getEnvSuccessorQuestion);`

  Specified by:
    `getEnvFirstQuestion` in class `InterviewParameters`
  Returns:
    the first question to be asked concerning the environment to be set up and used for each test to be run.
  See Also:
    `InterviewParameters.getEnvSuccessorQuestion()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.